<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Etapa extends Model
{
    protected $table = 'sige.etapas';

    public function setores()
    {
        return $this->hasMany(Setor::class, 'id', 'setor_id');
    }

    public function pendencias()
    {
        return $this->hasMany(Pendencia::class, 'etapa_id', 'id');
    }

    public function processos()
    {
        return $this->hasMany(Processo::class, 'etapa_id', 'id');
    }
}
